[arch-commits] Commit in nodejs-lts-boron/repos (2 files)

Evangelos Foutras foutrelis at archlinux.org
Fri Apr 5 10:36:42 UTC 2019


    Date: Friday, April 5, 2019 @ 10:36:38
  Author: foutrelis
Revision: 449783

archrelease: copy trunk to community-staging-x86_64

Added:
  nodejs-lts-boron/repos/community-staging-x86_64/
  nodejs-lts-boron/repos/community-staging-x86_64/PKGBUILD
    (from rev 449782, nodejs-lts-boron/trunk/PKGBUILD)

----------+
 PKGBUILD |   65 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 65 insertions(+)

Copied: nodejs-lts-boron/repos/community-staging-x86_64/PKGBUILD (from rev 449782, nodejs-lts-boron/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2019-04-05 10:36:38 UTC (rev 449783)
@@ -0,0 +1,65 @@
+# Maintainer: Bruno Pagani <archange at archlinux.org>
+
+pkgname=nodejs-lts-boron
+pkgver=6.17.1
+pkgrel=2
+pkgdesc='Evented I/O for V8 javascript (LTS release: Boron)'
+arch=('x86_64')
+url='https://nodejs.org/'
+license=('MIT')
+depends=('openssl-1.0' 'zlib' 'icu' 'libuv' 'http-parser' 'c-ares')
+makedepends=('python2' 'procps-ng')
+optdepends=('npm: nodejs package manager')
+provides=("nodejs=$pkgver")
+conflicts=('nodejs')
+source=("${url}/dist/v${pkgver}/node-v${pkgver}.tar.xz")
+# https://nodejs.org/download/release/latest-boron/SHASUMS256.txt.asc
+sha256sums=('6f6dc9624656a008513b7608bfc105dd92ceea5d7b4516edeca7e6b19d2edd94')
+validpgpkeys=('C4F0DFFF4E8C1A8236409D08E73BC641CC11F4C8' # Myles Borins <mylesborins at google.com>
+              'B9AE9905FFD7803F25714661B63B535A4C206CA9' # Evan Lucas <evanlucas at me.com>
+              'DD8F2338BAE7501E3DD5AC78C273792F7D83545D') # Rod Vagg <rod at vagg.org>
+
+prepare() {
+  cd node-v${pkgver}
+
+  msg 'Fixing for python2 name'
+  find -type f -exec sed \
+    -e 's_^#!/usr/bin/env python$_&2_' \
+    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+    -e 's_^#!/usr/bin/python$_&2_' \
+    -e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
+    -e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
+    -e "s_'python'_'python2'_" -i {} \;
+  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+  cd node-v${pkgver}
+  export PKG_CONFIG_PATH=/usr/lib/openssl-1.0/pkgconfig
+  export PYTHON=python2
+  ./configure \
+    --prefix=/usr \
+    --with-intl=system-icu \
+    --without-npm \
+    --shared-openssl \
+    --shared-zlib \
+    --shared-libuv \
+    --shared-http-parser \
+    --shared-cares
+
+  make
+}
+
+check() {
+  cd node-v${pkgver}
+  # eslint missing (Cannot find module '../../tools/eslint')
+  make test || warning "Tests failed"
+}
+
+package() {
+  cd node-v${pkgver}
+
+  make DESTDIR="${pkgdir}" install
+
+  install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/$pkgname/LICENSE
+}


More information about the arch-commits mailing list